Skip to main content
GET
/
apl-starred-queries
cURL
curl --request GET \
  --url https://api.axiom.co/v2/apl-starred-queries \
  --header 'Authorization: Bearer <token>'
[
  {
    "kind": "apl",
    "metadata": {},
    "name": "<string>",
    "query": {
      "apl": "<string>",
      "cursor": "<string>",
      "defaultLimit": 123,
      "defaultOrder": [
        {
          "desc": true,
          "field": "<string>"
        }
      ],
      "endTime": "<string>",
      "includeCursor": true,
      "includeCursorField": true,
      "libraries": [
        "<string>"
      ],
      "queryOptions": {
        "disableCache": true,
        "disableStats": true,
        "disableTrace": true,
        "maxDataPoints": 123,
        "maxSeries": 123,
        "noAggregation": true,
        "noFill": true,
        "noInterpolation": true,
        "priority": "low",
        "resolution": "<string>"
      },
      "startTime": "<string>",
      "variables": {}
    },
    "who": "<string>",
    "id": "<string>",
    "dataset": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://axiom-mano-v2-endpoints.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer<int64>
default:100
Required range: 1 <= x <= 1000
offset
integer<int64>
default:0
Required range: x >= 0
dataset
string
who
string

'all', 'team', or userID

qs
string

Response

200 - application/json

StarredQueryWithId

kind
enum<string>
required
Available options:
apl
metadata
object
required
name
string
required
query
object
required
who
string
required
id
string
required
dataset
string